Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.router
Enum AgentSelectionScore

    java.lang.Object
      java.lang.Enum<AgentSelectionScore>
          umontreal.iro.lecuyer.contactcenters.router.AgentSelectionScore

All Implemented Interfaces:
  Serializable, Comparable<AgentSelectionScore>

    public enum AgentSelectionScore

extends Enum<AgentSelectionScore>

Parameter indicating how the default agent selection score computed by `AgentsPrefRouter.getScoreForAgentSelection(Contact,AgentGroup,Agent)` is computed.

Enum Constant Summary
`LONGESTIDLETIME` The score corresponds to the longest idle time of agents in group i, multiplied by the weight (k, i).
`NUMFREEAGENTS` The score corresponds to the number of free agents in group i multiplied by the weight (k, i).
`WEIGHTONLY` The score for an agent group i for contact type k corresponds to the weight (k, i).

Method Summary
`static AgentSelectionScore` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AgentSelectionScore[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WEIGHTONLY

    public static final AgentSelectionScore WEIGHTONLY

  The score for an agent group i for contact type k corresponds to the weight (k, i).

### NUMFREEAGENTS

    public static final AgentSelectionScore NUMFREEAGENTS

  The score corresponds to the number of free agents in group i multiplied by the weight (k, i).

### LONGESTIDLETIME

    public static final AgentSelectionScore LONGESTIDLETIME

  The score corresponds to the longest idle time of agents in group i, multiplied by the weight (k, i). Using this score if agent groups are not detailed throws an exception.

Method Detail

### values

    public static AgentSelectionScore[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AgentSelectionScore c : AgentSelectionScore.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AgentSelectionScore valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.